"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = sortByKeyOrder;
function findIndex(arr, err) {
  let idx = Infinity;
  arr.some((key, ii) => {
    if (err.path.indexOf(key) !== -1) {
      idx = ii;
      return true;
    }
    return false;
  });

  return idx;
}

function sortByKeyOrder(fields) {
  const keys = Object.keys(fields);
  return (a, b) => findIndex(keys, a) - findIndex(keys, b);
}